KIO::MetaInfoJob Class Reference

`#include <metainfojob.h>`

Inheritance diagram for KIO::MetaInfoJob:

## Signals

void | gotMetaInfo (const KFileItem *item)
void | failed (const KFileItem *item)
Signals inherited from KIO::Job
void | result (KIO::Job *job)
void | canceled (KIO::Job *job)
void | infoMessage (KIO::Job *job, const QString &msg)
void | warning (KIO::Job *job, const QString &msg)
void | connected (KIO::Job *job)
void | percent (KIO::Job *job, unsigned long percent)
void | totalSize (KIO::Job *job, KIO::filesize_t size)
void | processedSize (KIO::Job *job, KIO::filesize_t size)
void | speed (KIO::Job *job, unsigned long speed)

## Public Member Functions

| MetaInfoJob (const KFileItemList &items, bool deleteItems=false)
void | removeItem (const KFileItem *item)
Public Member Functions inherited from KIO::Job
virtual void | kill (bool quietly=true)
int | error () const
int | progressId () const
const QString & | errorText () const
QString | errorString () const
QStringList | detailedErrorStrings (const KURL *reqUrl=0L, int method=-1) const
void | showErrorDialog (QWidget *parent=0L)
void | setAutoErrorHandlingEnabled (bool enable, QWidget *parentWidget=0)
bool | isAutoErrorHandlingEnabled () const
void | setAutoWarningHandlingEnabled (bool enable)
bool | isAutoWarningHandlingEnabled () const
void | setInteractive (bool enable)
bool | isInteractive () const
void | setWindow (QWidget *window)
QWidget * | window () const
void | updateUserTimestamp (unsigned long time)
void | setParentJob (Job *parentJob)
Job * | parentJob () const
void | setMetaData (const KIO::MetaData &metaData)
void | addMetaData (const QString &key, const QString &value)
void | addMetaData (const QMap< QString, QString > &values)
void | mergeMetaData (const QMap< QString, QString > &values)
MetaData | outgoingMetaData () const
MetaData | metaData () const
QString | queryMetaData (const QString &key)
KIO::filesize_t | getProcessedSize ()

## Static Public Member Functions

static QStringList | availablePlugins ()
static QStringList | supportedMimeTypes ()

## Protected Slots

virtual void | slotResult (KIO::Job *job)
Protected Slots inherited from KIO::Job
virtual void | slotResult (KIO::Job *job)
void | slotSpeed (KIO::Job *job, unsigned long speed)
void | slotInfoMessage (KIO::Job *job, const QString &msg)
void | slotSpeedTimeout ()

## Protected Member Functions

void | getMetaInfo ()
Protected Member Functions inherited from KIO::Job
| Job (bool showProgressInfo)
virtual void | addSubjob (Job *job, bool inheritMetaData=true)
virtual void | removeSubjob (Job *job)
void | removeSubjob (Job *job, bool mergeMetaData, bool emitResultIfLast)
void | emitPercent (KIO::filesize_t processedSize, KIO::filesize_t totalSize)
void | emitSpeed (unsigned long speed)
void | emitResult ()
void | setProcessedSize (KIO::filesize_t size)
unsigned long | userTimestamp () const
int & | extraFlags ()
virtual void | virtual_hook (int id, void *data)

## Additional Inherited Members

Protected Types inherited from KIO::Job
enum | { EF_TransferJobAsync = (1 << 0), EF_TransferJobNeedData = (1 << 1), EF_TransferJobDataSent = (1 << 2), EF_ListJobUnrestricted = (1 << 3) }
Protected Attributes inherited from KIO::Job
QPtrList< Job > | subjobs
int | m_error
QString | m_errorText
unsigned long | m_percent
int | m_progressId
QTimer * | m_speedTimer
QGuardedPtr< QWidget > | m_window
MetaData | m_outgoingMetaData
MetaData | m_incomingMetaData

## Detailed Description

MetaInfoJob is a KIO Job to retrieve meta information from files.

KIO Job to retrieve meta information from files.

Since
  3.1

Definition at line 35 of file metainfojob.h.

## Constructor & Destructor Documentation

MetaInfoJob::MetaInfoJob | ( | const KFileItemList & | items,
|  | bool | deleteItems = `false`
| ) |  |

Creates a new MetaInfoJob.

Parameters

  items | A list of KFileItems to get the metainfo for
  deleteItems | If true, the finished KFileItems are deleted

Definition at line 44 of file metainfojob.cpp.

## Member Function Documentation

QStringList MetaInfoJob::availablePlugins | ( |  | ) |

static

Returns a list of all available metainfo plugins.

The list contains the basenames of the plugins' .desktop files (no path, no .desktop).

Returns
  the list of available meta info plugins

Definition at line 154 of file metainfojob.cpp.

void KIO::MetaInfoJob::failed | ( | const KFileItem * | item | ) |

signal

Emitted when metainfo for `item` could not be extracted, either because a plugin for its MIME type does not exist, or because something went wrong.

Parameters

  item | the KFileItem of the file that failed

void KIO::MetaInfoJob::gotMetaInfo | ( | const KFileItem * | item | ) |

signal

Emitted when the meta info for `item` has been successfully retrieved.

Parameters

  item | the KFileItem describing the fetched item

void MetaInfoJob::removeItem | ( | const KFileItem * | item | ) |

Removes an item from metainfo extraction.

Parameters

  item | the item that should be removed from the queue

Definition at line 80 of file metainfojob.cpp.

QStringList MetaInfoJob::supportedMimeTypes | ( |  | ) |

static

Returns a list of all supported MIME types.

The list can contain entries like text/ * (without the space).

Returns
  the list of MIME types that are supported

Definition at line 163 of file metainfojob.cpp.

The documentation for this class was generated from the following files:

- metainfojob.h
- metainfojob.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys